# StyleSelectedData

If a [script add-in](/directory-opus/manual/scripting/script_add-ins.md)implements the [**OnStyleSelected**](/directory-opus/manual/reference/scripting_reference/scripting_events/onstyleselected.md) event, the method receives a **StyleSelectedData** object when the user chooses a new [Lister style](/directory-opus/manual/basic_concepts/the_lister/styles.md).

| Property Name | Return Type                                                                                             | Description                                                                                                                                                                                                                                                                                                          |
| ------------- | ------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| lister        | *object:*[**Lister**](/directory-opus/manual/reference/scripting_reference/scripting_objects/lister.md) | Returns a [**Lister**](/directory-opus/manual/reference/scripting_reference/scripting_objects/lister.md) object representing the Lister that changing style.                                                                                                                                                         |
| qualifiers    | *string*                                                                                                | <p>Returns a string indicating any qualifier keys that were held down by the user when the event was triggered.<br>The string can contain any or all of the following: <em>shift</em> <em>ctrl</em>, <em>alt</em>, <em>lwin</em>, <em>rwin</em><br>If no qualifiers were down, the string will be: <em>none</em></p> |
| style         | *string*                                                                                                | Returns the name of the newly selected style.                                                                                                                                                                                                                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/styleselecteddata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
